/reporting/api/v1/case/aggregates

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Case Aggregation

Parameters

  • Queues - Queues can be pulled from the Queue API call
  • Filter If left blank all values are returned. If fields added only chosen fields will be returned.
  • DateFilterField - Any of the specific date fields can be used as a filter.
  • StartDateTime - When to start pulling data from API.
  • EndDateTime - When to stop pulling data from API.
  • RelativePeriodStart - To start query one of multiple days in the future, 1,2, etc. or to do in past -1, -2, etc.
  • RelativePeriodEnd - To end query one of multiple days in the future, 1,2, etc. or to do in past -1, -2, etc.
  • RelativeTime Zone For API information about Times Zone, please visit this page on Time Zones.
  • Resolution - Size periods of the request. Can be by quarter hour, 1 hour, or 1 day.
  • GroupFields - multiple fields connected to return in one row/count
    • Ex. "AgentId", "FirstAcceptedQuarterHourUtc"
  • Aggregates - See Reporting Aggregation
  • It is recommended advanced filter object be done outside of the API document for best results.

Responses available:

  • 200
  • 401
  • 403

Example return:

{
  "startDateTime": "2022-07-27T04:00:00.000Z",
  "endDateTime": "2022-07-28T03:59:59.999Z",
  "dateFilterField": "FirstAcceptedAtUtc",
  "groupFields": ["AgentId", "FirstAcceptedQuarterHourUtc"],
  "aggregates": {
    "_id": ["Count"],
    "AnsweredApplied": ["Sum"],
    "AcceptTime": ["Sum"]
  },
  "queues": [],
  "filter": { "ChannelType": { "$ne": 0 }, "AgentId": { "$ne": null } },
  "RelativeTimezone": "America/Toronto"
}
Body Params
queues
array of int32s | null
queues
filter
object | null
string | null
date-time | null
date-time | null
int32 | null
int32 | null
string | null
int32
enum

0=QuarterHour,1=Hour,2=Day

Allowed:
groupFields
array of strings | null
groupFields
aggregates
object | null
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json